Drupal.UserTitles = {};

Drupal.UserTitles.autoAttach = function() {
  // ensure button does nothing even if failure
  $("input#edit-add-submit").click(function() {
    return false;
  });

  $("input#edit-add-submit").click(function() {
    // Figure out how many we have
    var num = parseInt($('input#edit-num-titles').val());
    $('input#edit-num-titles').val(num + 1);

    var value = parseInt($('input#edit-add-value').val());
    if (isNaN(value)) {
      value = 0;
    }

    var title = $('input#edit-add-title').val();
    $('input#edit-add-value').val('');
    $('input#edit-add-title').val('');
    // Build the new title
    var html;
    if (num % 2) {
      html = '<tr class="even">';
    }
    else {
      html = '<tr class="odd">';
    }
    html += '<td><input type="text" name="titles[' + num + '][value]" size="10" value="' + value + '"></td>';
    html += '<td><input type="text" name="titles[' + num + '][title]" size="30" value="' + title + '"></td>';
    html += '<td><img src="' + Drupal.settings.UserTitlesImageURL + '" alt="Remove this title" title="Remove this title" width="16" height="16" id="title-delete" /></td>';
    html += '</tr>';
    $('table#user-titles-settings tbody').append(html);

    // Rebind delete click to the new icon
    $("img#title-delete").unclick();
    $("img#title-delete").click(Drupal.UserTitles.removeTitle);
    
    $('input#edit-add-value').get(0).focus();
    return false;
  });

  $("img#title-delete").click(Drupal.UserTitles.removeTitle);
}

Drupal.UserTitles.removeTitle = function() {
  $(this).parent().parent()
    .hide()
    .find('input').val('');

  // Fix the striping
  // Thanks to Bdragon and dmitrig01 for this bit of code.
  $('table#user-titles-settings tr:not(:hidden)')
    .removeClass('even')
    .removeClass('odd')
    .filter(':even')
      .addClass('even')
    .end()
    .filter(':odd')
      .addClass('odd');
}

$(Drupal.UserTitles.autoAttach);
